Subject: bug#22175: /etc/environment not honored by lshd

From: [email-masked] (Ludovic Courtès)
Date: Tue, 15 Dec 2015 22:01:11 +0100

[email-masked] (Niels Möller) skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Somehow /etc/environment isn’t honored when logging in via SSH to an
>> lshd server running on GuixSD, despite the fact that /etc/pam.d/lshd has
>> this:
>
> lshd does *not* do the PAM session things (it can use pam for checking
> passwords, but only for that). And I'm afraid it's not reasonable to add
> support for it in lsh-2.x. Sorry about that.

I guess we’ll have to find a workaround, not sure what.

> Old discussion here:
> https://lists.debian.org/debian-devel/2000/10/msg01417.html
>
> I have softened a bit since ;-).

Heheh.  :-)

> I think proper PAM support is feature that fits well in the
> reorganized lsh-3 userauth, and that I guess lot of users nned. But
> not yet implemented there either.

Now you have an incentive?  ;-)

Thanks for your feedback,
Ludo’.